=== debian/changelog ===
lsof (4.95.0-1) unstable; urgency=low

  * New upstream release.
  * Fix debian/watch to pull in the linux-specific upstream version, and
    properly mangle the new upstream version format.
  * Drop excluded files from debian/copyright, and stop repacking as
    +dfsg. The uw dialect stuff is gone (again, linux-specific), and
    that stray a.out file went away.
  * Update patches:
    - patches/examples: drop, merged upstream (with improvements).
    - patches/manpage: drop, merged upstream.
    - patches/obsolete: drop, merged upstream.
    - patches/preset-ccdate: drop, merged upstream.
    - patches/tests: refresh.

 -- Andres Salomon <dilinger@debian.org>  Thu, 28 Apr 2022 04:08:23 +0000

lsof (4.94.0+dfsg-1) unstable; urgency=low

  * New upstream release (closes: #1004521).
  * Ack NMU; thanks Kentaro! (closes: #950601).
  * Upstream now processes the manpage for us, so we can drop the call to
    soelim and even the entire dh_installman override hook.
  * Clean up a bunch of lintian warnings, use debhelper compat level 12,
    and update standards version.
  * Drop a stray a.out binary that ended up in upstream's tarball.
  * Drop Suggests: perl. The higher dh compat now automatically compresses
    the example perl scripts, so manually installing perl can just be
    another step to running those scripts if desired (closes: #880553).
  * Update patches:
    - patches/manpage: renamed manpage from Lsof.8 to lsof.8
    - patches/preset-ccdate: drop all the non-linux dialect patches, and
      drop all the fancy logic; just delete LSOF_CCDATE.
    - patches/ftbfs: drop patch; merged upstream.

 -- Andres Salomon <dilinger@debian.org>  Sun, 10 Apr 2022 00:54:02 -0400
