=== debian/control ===
Source: lsof
Section: utils
Priority: standard
Maintainer: Andres Salomon <dilinger@debian.org>
Build-Depends: debhelper-compat (= 12), libselinux1-dev [linux-any]
Standards-Version: 4.6.0.1
Homepage: https://github.com/lsof-org/lsof

Package: lsof
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: utility to list open files
 Lsof is a Unix-specific diagnostic tool.  Its name stands
 for LiSt Open Files, and it does just that.  It lists
 information about any files that are open, by processes
 currently running on the system.
