=== debian/watch ===
version=4
opts="dversionmangle=auto, repacksuffix=+dfsg, uversionmangle=s/.linux//" \
    https://github.com/lsof-org/lsof/releases \
    .*/lsof_(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
