## lsof 4.99.3+dfsg

=== debian/changelog ===
lsof (4.99.3+dfsg-2+rpi1) trixie-staging; urgency=medium

  * Disable testsuite.

 -- Peter Michael Green <plugwash@raspbian.org>  Tue, 18 Feb 2025 01:16:47 +0000

lsof (4.99.3+dfsg-2) unstable; urgency=low

  * Add pkgconf as a build-dep (closes: #1087435).

 -- Andres Salomon <dilinger@debian.org>  Thu, 14 Nov 2024 11:09:40 +0000

lsof (4.99.3+dfsg-1) unstable; urgency=low

  * New upstream release.
  * Ack NMU (thanks Sebastian!), add libtirpc-dev build-dep.
  * Fix debian/watch to switch back to generic upstream version; the
    linux-specifc version is gone (closes: #1043481).
  * Likewise, re-add excluded-files and resume repacking as +dfsg, as
    the uw dialect stuff is back. And delete some other unnecessary
    dialects that clutter up our copyright file.
  * Upstream switched from custom Configure and hardcoded Makefiles to
    autotools; update d/rules for that.
  * Update d/patches:
    - tests: replace to deal with Makefile.am instead of tests/Makefile.
      Also delete three additional tests that fail in my chroot.
    - version.patch: pulled from upstream to fix version test.
    - netcat.patch: pulled from upstream to skip tests if wrong version
      of netcat (because one of the nc tests hangs for some reason).
      A fixed version should build-dep on netcat-openbsd.
  * Drop d/manpages, as autoconf does the right thing.
  * Upstream also separated core lsof functionality into a library;
    create liblsof0 and liblsof-dev packages, with the lsof package
    using liblsof0.
  * Related to the lib-ification, clean up d/copyright. Update paths for
    the new src/ and lib/ split, delete now unused licenses, and delete
    or correct other copyright, license, and file path details.

 -- Andres Salomon <dilinger@debian.org>  Wed, 13 Nov 2024 08:37:11 +0000

lsof (4.95.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/control: Add libtirpc-dev to Build-Depends (Closes: #1065283,
    #1063461)

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 10 Mar 2024 12:43:21 +0100
