=== debian/control ===
Source: lsof
Section: utils
Priority: standard
Maintainer: Andres Salomon <dilinger@debian.org>
Build-Depends: debhelper-compat (= 12),
  libselinux1-dev [linux-any],
  libtirpc-dev,
  pkgconf
Standards-Version: 4.6.0.1
Homepage: https://github.com/lsof-org/lsof

Package: lsof
Architecture: any
Depends: liblsof0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: utility to list open files
 Lsof is a Unix-specific diagnostic tool.  Its name stands
 for LiSt Open Files, and it does just that.  It lists
 information about any files that are open, by processes
 currently running on the system.  
 .
 This package contains the classic lsof command line tool.

Package: liblsof-dev
Section: libdevel
Priority: optional
Architecture: any
Depends: liblsof0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: utility to list open files (development files)
 Lsof is a Unix-specific diagnostic tool.  Its name stands
 for LiSt Open Files, and it does just that.  It lists
 information about any files that are open, by processes
 currently running on the system.  
 .
 This package contains the development files, allowing others
 to link directly to the lsof library.

Package: liblsof0
Section: libs
Priority: optional
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: utility to list open files (shared library)
 Lsof is a Unix-specific diagnostic tool.  Its name stands
 for LiSt Open Files, and it does just that.  It lists
 information about any files that are open, by processes
 currently running on the system.  
 .
 This package contains the shared libraries used by the tool.
