## lsof 4.99.4%2Bdfsg

=== docs/requirements.txt ===
#
# This file is autogenerated by pip-compile with Python 3.9
# by the following command:
#
#    pip-compile docs/requirements.in
#
click==8.1.3
    # via mkdocs
ghp-import==2.1.0
    # via mkdocs
importlib-metadata==6.0.0
    # via
    #   markdown
    #   mkdocs
jinja2==3.1.4
    # via mkdocs
markdown==3.3.7
    # via mkdocs
markupsafe==2.1.1
    # via jinja2
mergedeep==1.3.4
    # via mkdocs
mkdocs==1.4.2
    # via -r requirements.in
packaging==23.0
    # via mkdocs
python-dateutil==2.8.2
    # via ghp-import
pyyaml==6.0
    # via
    #   mkdocs
    #   pyyaml-env-tag
pyyaml-env-tag==0.1
    # via mkdocs
six==1.16.0
    # via python-dateutil
watchdog==2.2.1
    # via mkdocs
zipp==3.19.1
    # via importlib-metadata
