=== debian/changelog ===
lsof (4.99.4+dfsg-2build1) questing; urgency=medium

  * Rebuild to include updated RISC-V base ISA RVA23

 -- Heinrich Schuchardt <heinrich.schuchardt@canonical.com>  Sat, 06 Sep 2025 13:40:12 +0000

lsof (4.99.4+dfsg-2) unstable; urgency=medium

  * Rename no-socket-state-test.patch to disable-tests.patch, and disable
    another test that causes FTBFS on the buildds.

 -- Andres Salomon <dilinger@debian.org>  Wed, 19 Feb 2025 22:59:10 +0000

lsof (4.99.4+dfsg-1) unstable; urgency=medium

  * New upstream release; fixes gcc-15 build issues (closes: #1097318)
  * d/patches/version.patch: drop, merged upstream.
  * d/patches/netcat.patch: drop, merged upstream.
  * Update standards-version to 4.7. No changes needed.
  * Build-dep on netcat(-openbsd) to enable various tests.
  * d/patches/no-socket-state-test.patch: add fix to skip test that
    hangs indefinitely.

 -- Andres Salomon <dilinger@debian.org>  Tue, 18 Feb 2025 05:45:12 +0000
