=== debian/control ===
--- 
+++ 
@@ -5,8 +5,9 @@
 Build-Depends: debhelper-compat (= 12),
   libselinux1-dev [linux-any],
   libtirpc-dev,
+  netcat-openbsd,
   pkgconf
-Standards-Version: 4.6.0.1
+Standards-Version: 4.7.0
 Homepage: https://github.com/lsof-org/lsof
 
 Package: lsof
