=== debian/rules ===
--- 
+++ 
@@ -38,23 +38,13 @@
     LSOF_CFGF += -DHAS_STRFTIME
 endif
 
-override_dh_auto_clean:
-	dh_auto_clean
-	rm -f dfile.c dlsof.h dmnt.c dnode.c dproc.c dproto.h dsock.c dstore.c machine.h Makefile
-	rm -f lib/Makefile
-	cd tests && make clean && cd -
-	rm -f tests/config.cc tests/config.cflags tests/config.ldflags tests/config.xobj
-
-override_dh_auto_configure:
-	./Configure -n ${PLATFORM}
-
 override_dh_installchangelogs:
 	dh_installchangelogs 00DIST
 
-override_dh_auto_test:
-ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	cd tests && make test && make opt && cd -
-endif
+#override_dh_auto_test:
+#ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+#	cd tests && make test && make opt && cd -
+#endif
 
 %:
 	dh $@
