=== debian/watch ===
version=4
opts="dversionmangle=auto, repacksuffix=+dfsg" \
    https://github.com/lsof-org/lsof/tags  .*/v?(\d.*)@ARCHIVE_EXT@
